public class Main {
  public static void main(String[] args) {
    Runtime rt = Runtime.getRuntime();
    System.err.format("VERSION: %s%nCPU :%5d processors%nHeap:%s%n",
        System.getProperty("java.version"), //(注:実行したJavaのバージョン)
        rt.availableProcessors(), //(注:JVMが使用できるプロセッサの数)
        humanRedable(rt.maxMemory())); //(注:JVMが使用を試みる最大メモリサイズ)
  }

  private static String humanRedable(long bytes) {
    int unit = 1024;
    int exp = (int) (Math.log(bytes) / Math.log(unit));
    return String.format("%5.1f %sB", bytes/Math.pow(unit,exp), " KMGTPEZY".charAt(exp));
  }
}
