#!/bin/bash
# Main.javaをコンパイル
javac -cp . ${1:-Main.java}
# Main.javaを実行しつつ、エルゴノミクスで決定された各パラメータを確認
java -cp . ${JAVA_OPTS} -XX:+UseParallelOldGC -XX:+PrintFlagsFinal $(echo ${1:-Main.java}|sed 's/\.java//') | grep \
  -e ParallelGCThreads \
  -e CICompilerCount \
  -e MaxHeapSize \
  | grep -v CICompilerCountPerCPU \
  | awk -F' ' '{print $2,$3,$4}'
